### Callable

- symlink(target: PathLike, path: PathLike, type: Type | undefined | null, callback: function): void
- symlink(target: PathLike, path: PathLike, callback: function): void

- - Defined in node_modules/@types/node/fs.d.ts:462

  Asynchronous symlink(2) - Create a new symbolic link to an existing file.

  #### Parameters

  - ##### target: PathLike

    A path to an existing file. If a URL is provided, it must use the `file:` protocol.

  - ##### path: PathLike

    A path to the new symlink. If a URL is provided, it must use the `file:` protocol.

  - ##### type: Type | undefined | null

    May be set to `'dir'`, `'file'`, or `'junction'` (default is `'file'`) and is only available on Windows (ignored on other platforms). When using `'junction'`, the `target` argument will automatically be normalized to an absolute path.

  - ##### callback: function

    - - (err: ErrnoException): void

      - #### Parameters

        - ##### err: ErrnoException

        #### Returns void

- - Defined in node_modules/@types/node/fs.d.ts:469

  Asynchronous symlink(2) - Create a new symbolic link to an existing file.

  #### Parameters

  - ##### target: PathLike

    A path to an existing file. If a URL is provided, it must use the `file:` protocol.

  - ##### path: PathLike

    A path to the new symlink. If a URL is provided, it must use the `file:` protocol.

  - ##### callback: function

    - - (err: ErrnoException): void

      - #### Parameters

        - ##### err: ErrnoException

        #### Returns void

## Index

### Type aliases

- Type

### Functions

- __promisify__

## Type aliases

### Type

Type: "dir" | "file" | "junction"

- Defined in node_modules/@types/node/fs.d.ts:482

## Functions

### __promisify__

- __promisify__(target: PathLike, path: PathLike, type?: string | null): Promise<void>

- - Defined in node_modules/@types/node/fs.d.ts:480

  Asynchronous symlink(2) - Create a new symbolic link to an existing file.

  #### Parameters

  - ##### target: PathLike

    A path to an existing file. If a URL is provided, it must use the `file:` protocol.

  - ##### path: PathLike

    A path to the new symlink. If a URL is provided, it must use the `file:` protocol.

  - ##### Optional type: string | null

    May be set to `'dir'`, `'file'`, or `'junction'` (default is `'file'`) and is only available on Windows (ignored on other platforms). When using `'junction'`, the `target` argument will automatically be normalized to an absolute path.

  #### Returns Promise<void>

Generated using TypeDoc